ResourcePoolEventSupport (c3p0-0.9.5.5 API Documentation)
Date: 2019-12-11

com.mchange.v2.resourcepool

## Class ResourcePoolEventSupport

- java.lang.Object
- - com.mchange.v2.resourcepool.ResourcePoolEventSupport

-     public class ResourcePoolEventSupport
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ResourcePoolEventSupport(ResourcePool source)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addResourcePoolListener(ResourcePoolListener mlistener)`
    `void` | `fireResourceAcquired(java.lang.Object resc, int pool_size, int available_size, int removed_but_unreturned_size)`
    `void` | `fireResourceCheckedIn(java.lang.Object resc, int pool_size, int available_size, int removed_but_unreturned_size)`
    `void` | `fireResourceCheckedOut(java.lang.Object resc, int pool_size, int available_size, int removed_but_unreturned_size)`
    `void` | `fireResourceRemoved(java.lang.Object resc, boolean checked_out_resource, int pool_size, int available_size, int removed_but_unreturned_size)`
    `void` | `removeResourcePoolListener(ResourcePoolListener mlistener)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ResourcePoolEventSupport

          public ResourcePoolEventSupport(ResourcePool source)

  - ### Method Detail

    - #### addResourcePoolListener

          public void addResourcePoolListener(ResourcePoolListener mlistener)

    - #### removeResourcePoolListener

          public void removeResourcePoolListener(ResourcePoolListener mlistener)

    - #### fireResourceAcquired

          public void fireResourceAcquired(java.lang.Object resc,
                                           int pool_size,
                                           int available_size,
                                           int removed_but_unreturned_size)

    - #### fireResourceCheckedIn

          public void fireResourceCheckedIn(java.lang.Object resc,
                                            int pool_size,
                                            int available_size,
                                            int removed_but_unreturned_size)

    - #### fireResourceCheckedOut

          public void fireResourceCheckedOut(java.lang.Object resc,
                                             int pool_size,
                                             int available_size,
                                             int removed_but_unreturned_size)

    - #### fireResourceRemoved

          public void fireResourceRemoved(java.lang.Object resc,
                                          boolean checked_out_resource,
                                          int pool_size,
                                          int available_size,
                                          int removed_but_unreturned_size)